Page 1 of 1

Configuring COPRTHR - missing libevent.

PostPosted: Tue Oct 20, 2015 7:23 pm
by hex
Hi, fellow Parallella users.

I finally got my Parallella set up and working (long story), and I'm trying to compile my first OpenCL program. I am having trouble making COPRTHR-1.6 with the stock Ubuntu-14.04 w/HDMI image. I have applied all updates and installed some applications using apt, including libevent-2.0-5, but COPRTHR still fails to configure, citing an error in which it could not locate libevent. I have tried several paths using the --with-libevent argument, but I cannot seem to get it right. Could someone help shed some light on the situation?

Thanks.

Re: Configuring COPRTHR - missing libevent.

PostPosted: Tue Oct 20, 2015 9:26 pm
by jar
I've always built libevent from source. The COPRTHR README usually contains the required download link. If you build and install libevent as root, the COPRTHR build should find it automatically. Perhaps the libevent you have is too old. It says it needs version 2.0.18 or later and links to https://github.com/downloads/libevent/l ... ble.tar.gz

Let me know if building from source doesn't work. If not, include your configure line and the output.

Re: Configuring COPRTHR - missing libevent.

PostPosted: Tue Oct 20, 2015 9:35 pm
by hex
Cool. Thanks.

I installed libevent from source (worked pretty well), but I still cannot get COPRTHR to compile.

Code: Select all
/usr/bin/ld: cannot find -le-loader
collect2: error: ld returned 1 exit status
make[2]: *** [libcoprthr_arch_e32.so] Error 1
make[2]: Leaving directory `/home/linaro/Downloads/coprthr-stable-1.6/src/libcoprthr/arch/e32'